%define debug_package %{nil}

%define majver 2
%define minver 0.10.4

Name:           radare-extras
Version:        %{majver}.%{minver}
Release:        1%{?dist}
License:        LGPL-3.0
Source:		http://radare.nopcode.org/get/radare%{majver}-extras-%{minver}.tar.xz
Group:          Development/Tools/Debuggers
Url:            http://www.radare.org
Summary:        Reverse Engineering Framework
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig
BuildRequires:  yara >= 3
BuildRequires:  libewf-devel
BuildRequires:  openssl-devel
BuildRequires:  file-devel
BuildRequires:  radare-devel >= 2.0.0.0

%description
This repository contains extra plugins for radare2.

The reasons why those plugins are distributed in a separate
repository are the following:

* Depends on external libraries (yara, ewf)
* Marginal/specific use (ctf-specific asm/anal vm f.ex)
* r2 must be self-contained (no optional/external deps)
* Simplify packagers work, and makes it more flexible
* Duplicates functionality from r2 (no need to have
  multiple disassemblers for the same arch in core)

The compiled plugins will be installed at

	/usr/lib/radare2-extras/$(VERSION)

Some of the plugins/code doesnt compiles, it will be reviewed
and cleaned up, merged into core, updated or removed.

In addition, this repository will be useful to new contributors,
comers who want to write his own r2 plugins for example.

The aim of this repository is to make the master radare2
repository to be as concise as possible, and reduce the
amount of unnecessary plugins to shrink the install size and
keep it usable for 99% of users.

%prep
%setup -q -n radare%{majver}-extras-%{minver}

%build
sh configure --prefix=%{_prefix} --libdir=%{_libdir}
%{__make} all

%install
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%attr(0644, root, root)		%{_libdir}/radare%{majver}-extras/%{minver}/*.so

%changelog
* Wed Jul  6 2016 vcizek@suse.com - 0.10.4
* Release 0.10.4
